<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../../style.css');
        @import url('../../../../../../roundedcorners.css');
        @import url('../../../../../../tree.css');
            </style>
    
    <script src="../../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient Cache 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpClient Cache 4.2.3: org.apache.http.impl.client.cache.testStaleWhileRevalidateReturnsStaleEntryWithWarning');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient Cache 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:14:22 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestRFC5861Compliance.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestRFC5861Compliance_testStaleWhileRevalidateReturnsStaleEntryWithWarning_1r6.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../../org/apache/http/impl/client/cache/TestRFC5861Compliance.html?line=299#src-299" >testStaleWhileRevalidateReturnsStaleEntryWithWarning</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        15 Jan 11:14:17
    </td>
    <td class="graphPercent alignTop">
        0.012    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testStaleWhileRevalidateReturnsStaleEntryWithWarning</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.cache.InputLimit</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/client/cache/InputLimit.html?id=2274#InputLimit"             title="InputLimit" name="sl-38">org.apache.http.client.cache.InputLimit</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.8</span>
            80%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="20% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="80% Covered" class="barPositive contribBarPositive" style="width: 80%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.AsynchronousValidationRequest</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/AsynchronousValidationRequest.html?id=2274#AsynchronousValidationRequest"             title="AsynchronousValidationRequest" name="sl-42">org.apache.http.impl.client.cache.AsynchronousValidationRequest</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.75</span>
            75%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="25% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="75% Covered" class="barPositive contribBarPositive" style="width: 75%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.AsynchronousValidator</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/AsynchronousValidator.html?id=2274#AsynchronousValidator"             title="AsynchronousValidator" name="sl-49">org.apache.http.impl.client.cache.AsynchronousValidator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.73913044</span>
            73.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="26.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="73.9% Covered" class="barPositive contribBarPositive" style="width: 73.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.cache.HttpCacheEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/client/cache/HttpCacheEntry.html?id=2274#HttpCacheEntry"             title="HttpCacheEntry" name="sl-51">org.apache.http.client.cache.HttpCacheEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6909091</span>
            69.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="30.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="69.1% Covered" class="barPositive contribBarPositive" style="width: 69.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.SizeLimitedResponseReader</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/SizeLimitedResponseReader.html?id=2274#SizeLimitedResponseReader"             title="SizeLimitedResponseReader" name="sl-45">org.apache.http.impl.client.cache.SizeLimitedResponseReader</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.62068963</span>
            62.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="37.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="62.1% Covered" class="barPositive contribBarPositive" style="width: 62.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.HeapResource</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/HeapResource.html?id=2274#HeapResource"             title="HeapResource" name="sl-41">org.apache.http.impl.client.cache.HeapResource</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.WarningValue</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/WarningValue.html?id=2274#WarningValue"             title="WarningValue" name="sl-44">org.apache.http.impl.client.cache.WarningValue</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4915254</span>
            49.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="49.2% Covered" class="barPositive contribBarPositive" style="width: 49.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheValidityPolicy</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheValidityPolicy.html?id=2274#CacheValidityPolicy"             title="CacheValidityPolicy" name="sl-45">org.apache.http.impl.client.cache.CacheValidityPolicy</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.44680852</span>
            44.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="55.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="44.7% Covered" class="barPositive contribBarPositive" style="width: 44.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CachingHttpClient</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CachingHttpClient.html?id=2274#CachingHttpClient"             title="CachingHttpClient" name="sl-113">org.apache.http.impl.client.cache.CachingHttpClient</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.436</span>
            43.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="56.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="43.6% Covered" class="barPositive contribBarPositive" style="width: 43.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.HeapResourceFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/HeapResourceFactory.html?id=2274#HeapResourceFactory"             title="HeapResourceFactory" name="sl-44">org.apache.http.impl.client.cache.HeapResourceFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.42307693</span>
            42.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="57.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="42.3% Covered" class="barPositive contribBarPositive" style="width: 42.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheMap</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheMap.html?id=2274#CacheMap"             title="CacheMap" name="sl-34">org.apache.http.impl.client.cache.CacheMap</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4</span>
            40%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheableRequestPolicy</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheableRequestPolicy.html?id=2274#CacheableRequestPolicy"             title="CacheableRequestPolicy" name="sl-45">org.apache.http.impl.client.cache.CacheableRequestPolicy</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3939394</span>
            39.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.4% Covered" class="barPositive contribBarPositive" style="width: 39.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.ResponseProtocolCompliance</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/ResponseProtocolCompliance.html?id=2274#ResponseProtocolCompliance"             title="ResponseProtocolCompliance" name="sl-57">org.apache.http.impl.client.cache.ResponseProtocolCompliance</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.39473686</span>
            39.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.5% Covered" class="barPositive contribBarPositive" style="width: 39.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheKeyGenerator</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheKeyGenerator.html?id=2274#CacheKeyGenerator"             title="CacheKeyGenerator" name="sl-53">org.apache.http.impl.client.cache.CacheKeyGenerator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3882353</span>
            38.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="38.8% Covered" class="barPositive contribBarPositive" style="width: 38.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.ResponseCachingPolicy</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/ResponseCachingPolicy.html?id=2274#ResponseCachingPolicy"             title="ResponseCachingPolicy" name="sl-55">org.apache.http.impl.client.cache.ResponseCachingPolicy</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3859649</span>
            38.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="38.6% Covered" class="barPositive contribBarPositive" style="width: 38.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CachedHttpResponseGenerator</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CachedHttpResponseGenerator.html?id=2274#CachedHttpResponseGenerator"             title="CachedHttpResponseGenerator" name="sl-50">org.apache.http.impl.client.cache.CachedHttpResponseGenerator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.38356164</span>
            38.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="38.4% Covered" class="barPositive contribBarPositive" style="width: 38.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheConfig</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheConfig.html?id=2274#CacheConfig"             title="CacheConfig" name="sl-84">org.apache.http.impl.client.cache.CacheConfig</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.37037036</span>
            37%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="63% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37% Covered" class="barPositive contribBarPositive" style="width: 37%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.BasicHttpCacheStorage</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/BasicHttpCacheStorage.html?id=2274#BasicHttpCacheStorage"             title="BasicHttpCacheStorage" name="sl-48">org.apache.http.impl.client.cache.BasicHttpCacheStorage</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.33333334</span>
            33.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="66.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="33.3% Covered" class="barPositive contribBarPositive" style="width: 33.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.RequestProtocolCompliance</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/RequestProtocolCompliance.html?id=2274#RequestProtocolCompliance"             title="RequestProtocolCompliance" name="sl-57">org.apache.http.impl.client.cache.RequestProtocolCompliance</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.32188842</span>
            32.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="67.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="32.2% Covered" class="barPositive contribBarPositive" style="width: 32.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.BasicHttpCache</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/BasicHttpCache.html?id=2274#BasicHttpCache"             title="BasicHttpCache" name="sl-53">org.apache.http.impl.client.cache.BasicHttpCache</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.31875</span>
            31.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="68.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="31.9% Covered" class="barPositive contribBarPositive" style="width: 31.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.ConditionalRequestBuilder</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/ConditionalRequestBuilder.html?id=2274#ConditionalRequestBuilder"             title="ConditionalRequestBuilder" name="sl-46">org.apache.http.impl.client.cache.ConditionalRequestBuilder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.30508474</span>
            30.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.5% Covered" class="barPositive contribBarPositive" style="width: 30.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheInvalidator</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheInvalidator.html?id=2274#CacheInvalidator"             title="CacheInvalidator" name="sl-55">org.apache.http.impl.client.cache.CacheInvalidator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.19333333</span>
            19.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="19.3% Covered" class="barPositive contribBarPositive" style="width: 19.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CachedResponseSuitabilityChecker</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CachedResponseSuitabilityChecker.html?id=2274#CachedResponseSuitabilityChecker"             title="CachedResponseSuitabilityChecker" name="sl-51">org.apache.http.impl.client.cache.CachedResponseSuitabilityChecker</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.15714286</span>
            15.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="84.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="15.7% Covered" class="barPositive contribBarPositive" style="width: 15.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.CacheEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/client/cache/CacheEntity.html?id=2274#CacheEntity"             title="CacheEntity" name="sl-41">org.apache.http.impl.client.cache.CacheEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.10344828</span>
            10.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="89.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="10.3% Covered" class="barPositive contribBarPositive" style="width: 10.3%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:14:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
